Subject: Re: [Emu] Re-charter text

From: Mohit Sethi M <[email-masked]>
Date: Mon, 2 Sep 2019 10:33:28 +0000

Hi Michael,

On 8/22/19 10:46 PM, Michael Richardson wrote:

Mohit Sethi M <[email-masked]><mailto:[email-masked]> wrote:
    > At the same time, some new use cases for EAP have been identified. EAP
    > is now more broadly in mobile network authentication. The group will
    > update existing EAP methods such as EAP-AKA' to stay in sync with

....

    > Out-of-band (OOB) refers to a separate communication channel
    > independent of the primary in-band channel over which the actual

    > EAP authentication is based on credentials available on the peer and
    > the server. However, some EAP methods use credentials that are time or
    > domain limited (such as EAP-POTP), and there may be a need for creating

I feel that the charter is too limiting if it names specific drafts like
this.  In effect, the charter is mandating adoption of specific documents.

If you agree, I will suggest some alternate text.

The text specifically says 'such as'. I interpret it as an example and not as a limitation. I can remove the reference to EAP-POTP if you think that is better? And please feel free to suggest some alternative text.

    > In summary, the working group shall produce the following documents:

These read like milestones rather than areas of focus.

I am following the precedent from our current charter: https://datatracker.ietf.org/wg/emu/charter/. I think it provides the IESG and the IETF community with a good idea of the broad items that we would be working on. Note that it says documents in plural. So a bullet may correspond to several drafts. For example, the second bullet is encompassing several work items such as defining the use of TLS 1.3 with EAP-TTLS and EAP-PEAP as well as fixing the errata reported on EAP-TEAP.

--Mohit

_______________________________________________
Emu mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/emu

---

From: Mohit Sethi M <[email-masked]>
Date: Mon, 2 Sep 2019 10:35:21 +0000

Hi Rene,

Thank you for the suggestion. It makes sense. I will update the text accordingly.

--Mohit

On 8/26/19 6:25 PM, Rene Struik wrote:

Hi Mohit:

I read the proposed recharter text and suggest a tiny change in the dashed work item below: change "shall" to "should". With "shall" language, the out-of-band characteristics of the most stringent such channel imposes the design constraints, which is not the case with "should" language. Here, one should note that certain OOB channels for sensor devices may not have sufficient bandwidth for conveying, e.g., a representation of a public key (if that is one of the intended methods one wishes to use), whereas this would be easy for devices with camera on-board. If the intention is to have a method that is truly independent of the OOB channel and wants the charter text to nail this, that is fine, but one has to be ware that this may limit applicability in some use cases; otherwise, simply making this a "should" leaves some wiggle room. There may be other cases, where characteristics of OOB channel may impact design space and where some wiggle room in the charter may not hurt.

Suggested modification (change underlined):

- Define a standard EAP method for mutual authentication between a peer and a server that is based on an out-of-band channel. The method itself should be independent of the underlying OOB channel and shall support a variety of OOB channels such as NFC, dynamically generated QR codes, audio, and visible light.

Best regards, Rene

-------- Forwarded Message --------
Subject:        [Emu] Re-charter text
Date:   Wed, 21 Aug 2019 08:13:51 +0000
From:   Mohit Sethi M <[email-masked]><mailto:[email-masked]>
To:     [email-masked]<mailto:[email-masked]> <[email-masked]><mailto:[email-masked]>

Dear all,

Thank you for a productive meeting @ IETF 105. We had discussed the new charter text during the working group session in Montreal. Please find the same text below. This text builds upon our current charter. Feel free to suggest changes. RFC 2418 section 2.2 https://tools.ietf.org/html/rfc2418#section-2.2 says the following about a working group charter:

   2. Specifies the direction or objectives of the working group and
      describes the approach that will be taken to achieve the goals;

Please keep this in mind when suggesting changes. Once the text is ready, we will send it to the IESG for review.

Joe and Mohit

------------------------

The Extensible Authentication Protocol (EAP) [RFC 3748] is a network access authentication framework used, for instance, in VPN and mobile networks. EAP itself is a simple protocol and actual authentication happens in EAP methods. Several EAP methods have been developed at the IETF and support for EAP exists in a broad set of devices. Previous larger EAP-related efforts at the IETF included rewriting the base EAP protocol specification and the development of several standards track EAP methods.

EAP methods are generally based on existing security technologies such as TLS and SIM cards. Our understanding of security threats is continuously evolving. This has driven the evolution of several of these underlying technologies. As an example, IETF has standardized a new and improved version of TLS in RFC 8446. The group will therefore provide guidance and update EAP method specifications where necessary to enable the use of new versions of these underlying technologies.

At the same time, some new use cases for EAP have been identified. EAP is now more broadly in mobile network authentication. The group will update existing EAP methods such as EAP-AKA' to stay in sync with updates to the referenced 3GPP specifications. RFC 7258 notes that pervasive monitoring is an attack. Perfect Forward Secrecy (PFS) is an important security property for modern protocols to thwart pervasive monitoring. The group will therefore work on an extension to EAP-AKA' for providing Perfect Forward Secrecy (PFS).

Out-of-band (OOB) refers to a separate communication channel independent of the primary in-band channel over which the actual network communication takes place. OOB channels are now used for authentication in a variety of protocols and devices (draft-ietf-oauth-device-flow-13, WhatsApp Web, etc.). Many users are accustomed to tapping NFC or scanning QR codes. However, EAP currently does not have any standard methods that support authentication based on OOB channels. The group will therefore work on an EAP method where authentication is based on an out-of-band channel between the peer and the server.

EAP authentication is based on credentials available on the peer and the server. However, some EAP methods use credentials that are time or domain limited (such as EAP-POTP), and there may be a need for creating long term credentials for re-authenticating the peer in a more general context. The group will investigate minimal mechanisms with which limited-use EAP authentication credentials can be used for creating general-use long-term credentials.

 - An update to enable the use of TLS 1.3 in the context of EAP-TLS (RFC 5216). This document will pdate the security considerations relating to EAP-TLS, document the implications of using new vs. old TLS versions, add any recently gained new knowledge on vulnerabilities, and discuss the possible implications of pervasive surveillance.

 - Several EAP methods such EAP-TTLS and EAP-FAST use an outer TLS tunnel. Provide guidance or update the relevant specifications explaining how those EAP methods (PEAP/TTLS/TEAP) will work with TLS 1.3. This will also involve maintenance work based on erratas found in published specifications (such as EAP-TEAP).

- Define session identifiers for fast re-authentication for EAP-SIM, EAP-AKA, and EAP-AKA’. The lack of this definition is a recently discovered bug in the original RFCs.

- Update the EAP-AKA' specification (RFC 5448) to ensure that its capability to provide a cryptographic binding to network context stays in sync with updates to the referenced 3GPP specifications. The document will also contain any recently gained new knowledge on vulnerabilities or the possible implications of pervasive surveillance.

- Develop an extension to EAP-AKA' such that Perfect Forward Secrecy can be provided. There may also be privacy improvements that have become feasible with the  introduction of recent identity privacy improvements in 3GPP networks.

- Gather experience regarding the use of large certificates and long certificate chains in the context of EAP-TLS (all versions), as some implementations and access networks may limit the number of EAP packet exchanges that can be handled. Document operational recommendations or other mitigation strategies to avoid issues.

- Define a standard EAP method for mutual authentication between a peer and a server that is based on an out-of-band channel. The method itself shall be independent of the underlying OOB channel and shall support a variety of OOB channels such as NFC, dynamically generated QR codes, audio, and visible light.

- Define mechanisms by which EAP methods can support creation of long-term credentials for the peer based on initial limited-use credentials.

The working group is expected to stay in close collaboration with the EAP deployment community, the TLS working group (for EAP-TLS work), and the 3GPP security architecture group (for EAP-AKA' work)

------------------------

---

From: Mohit Sethi M <[email-masked]>
Date: Wed, 11 Sep 2019 18:50:32 +0000

Dear all,

Please send in your comments on the charter text by Wednesday, September 18, 2019.

Joe and Mohit

On 8/21/19 11:13 AM, Mohit Sethi M wrote:

Dear all,

Joe and Mohit

------------------------

------------------------

---

From: Mohit Sethi M <[email-masked]>
Date: Fri, 13 Sep 2019 16:56:41 +0000

The current re-charter text is now in github for convenient issue and change tracking:

We have incorporated the suggestions from John and Rene to the current text:

https://github.com/emu-wg/charter/blob/master/emu-charter.md

Joe and Mohit

On 9/11/19 9:50 PM, Mohit Sethi M wrote:

Dear all,

Joe and Mohit

Dear all,

Joe and Mohit

------------------------

------------------------

---

From: "Georgios Z. Papadopoulos" <[email-masked]>
Date: Wed, 18 Sep 2019 10:37:57 +0200

Dear Joe, Mohit and all,

In overall I find the text well written, while the objectives well defined.
Below I have very few comments :

* TLS is not defined. 
* Perfect Forward Secrecy (PFS) is defined twice.
* - An update to enable the use of TLS 1.3 in the context of EAP-TLS (RFC 5216). This document will pdate the security considerations relating to EAP-TLS, document the implications of using new vs. old TLS versions, add any recently gained new knowledge on vulnerabilities, and discuss the possible implications of pervasive surveillance.

This last point, maybe could be divided in several sentences, since I find it too long and, thus, hard to follow.

Many thanks for your efforts.

Best regards,
Georgios

> On Sep 11, 2019, at 20:50, Mohit Sethi M <[email-masked]> wrote:
> 
> Dear all,
> 
>> Thank you for a productive meeting @ IETF 105. We had discussed the new charter text during the working group session in Montreal. Please find the same text below. This text builds upon our current charter. Feel free to suggest changes. RFC 2418 section 2.2 https://tools.ietf.org/html/rfc2418#section-2.2 <https://tools.ietf.org/html/rfc2418#section-2.2> says the following about a working group charter:
>> 
>> [email-masked] <mailto:[email-masked]>
>> https://www.ietf.org/mailman/listinfo/emu <https://www.ietf.org/mailman/listinfo/emu>
> [email-masked]

---

From: Mohit Sethi M <[email-masked]>
Date: Sat, 21 Sep 2019 12:16:17 +0000

Hi Georgios,

Thanks for reading the charter. I have addressed your comments on github. Here is the updated text:
https://github.com/emu-wg/charter/blob/master/emu-charter.md

and here is the diff from the previous version:
https://github.com/emu-wg/charter/commit/be1bf557355ecba5d5ee35ab27f3e8fae8c06eef

--Mohit

On 9/18/19 11:37 AM, Georgios Z. Papadopoulos wrote:
Dear Joe, Mohit and all,

* TLS is not defined.

Best regards,
Georgios

On Sep 11, 2019, at 20:50, Mohit Sethi M <[email-masked]<mailto:[email-masked]>> wrote:

Dear all,

Joe and Mohit

Dear all,

Joe and Mohit

------------------------

------------------------